#ifndef __ResultCache_H_
#define __ResultCache_H_

class ResultCache {
 public:
  bool find(unsigned, unsigned*);
  void insert(unsigned, unsigned);
};

extern class ResultCache cache;

#endif // __ResultCache_H_
